summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAzamat H. Hackimov <azamat.hackimov@gmail.com>2011-04-26 15:48:58 +0600
committerAzamat H. Hackimov <azamat.hackimov@gmail.com>2011-04-26 15:48:58 +0600
commita377414ad3cb8d02c5651486caced57b2347a705 (patch)
tree12e273c1dcf6aa541022e519efe5ddd0fcc3f91c /dev-util
parent[dev-games/ogre] version bump to 1.7.2 (diff)
downloadgamerlay-a377414ad3cb8d02c5651486caced57b2347a705.tar.gz
gamerlay-a377414ad3cb8d02c5651486caced57b2347a705.tar.bz2
gamerlay-a377414ad3cb8d02c5651486caced57b2347a705.zip
[dev-util/bam] DEPEND for teeworlds 0.6.0.
(Portage version: 2.1.9.42/git/Linux x86_64, unsigned Manifest commit)
Diffstat (limited to 'dev-util')
-rw-r--r--dev-util/bam/Manifest5
-rw-r--r--dev-util/bam/bam-0.4.0.ebuild45
-rw-r--r--dev-util/bam/files/0.4.0/Makefile22
-rw-r--r--dev-util/bam/files/0.4.0/bam-0.4.0-test.py.patch11
-rw-r--r--dev-util/bam/metadata.xml10
5 files changed, 93 insertions, 0 deletions
diff --git a/dev-util/bam/Manifest b/dev-util/bam/Manifest
new file mode 100644
index 0000000..976a4da
--- /dev/null
+++ b/dev-util/bam/Manifest
@@ -0,0 +1,5 @@
+AUX 0.4.0/Makefile 503 RMD160 e57e7375359b7929a265889c3399eb94c6566f13 SHA1 3bf35cd432b39af6e9cf8c29b7f21ef3f7b84376 SHA256 d725c3d5fc8a62df8e3d7bf75b1542fdf8e0a596d9e00afbde9c22581021994f
+AUX 0.4.0/bam-0.4.0-test.py.patch 266 RMD160 6255d35e6577513067156bc3af61e9fdf996a32e SHA1 b20f1f9a941c6676683770cfe53417690c54294d SHA256 2dfcdd5720681f62001e33aaeb240df4a66f294b99b2c3edc44acd0afc8b214c
+DIST bam-0.4.0.tar.bz2 164033 RMD160 ae09aa5ff63a62211ab93c37a415e31231858617 SHA1 5dad113e38ba89384d842655eb477834285c216b SHA256 56030670aa21e227ce0a00f1ee0c9b5129469a6e69e7b67c3dd459d2fce6207d
+EBUILD bam-0.4.0.ebuild 996 RMD160 328b5f7b357c5c35399c071cc232edb11fd330d8 SHA1 9f780496bd64349afa6f160c0013383069d94614 SHA256 0717c73998b3327e9f76b3a36135c1366db36aba40236ae46cf46aa5131eef2f
+MISC metadata.xml 257 RMD160 224ee82bfe66c5da4a2dc1dd697b1782e7f03cb9 SHA1 6b583c76750b206bd133403d1a4685a14f8e6b95 SHA256 45f231de4d8bc5ed6309ba83d2eb9a06b8e13f828d7b74e909a144439356cd62
diff --git a/dev-util/bam/bam-0.4.0.ebuild b/dev-util/bam/bam-0.4.0.ebuild
new file mode 100644
index 0000000..1143497
--- /dev/null
+++ b/dev-util/bam/bam-0.4.0.ebuild
@@ -0,0 +1,45 @@
+# Copyright 1999-2011 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/dev-util/bam/bam-0.3.2.ebuild,v 1.1 2010/03/24 23:25:56 volkmar Exp $
+
+EAPI="2"
+
+inherit eutils
+
+DESCRIPTION="Fast and flexible Lua-based build system"
+HOMEPAGE="http://matricks.github.com/bam/"
+SRC_URI="http://github.com/downloads/matricks/${PN}/${P}.tar.bz2"
+
+LICENSE="ZLIB"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="doc test"
+
+RDEPEND="dev-lang/lua"
+DEPEND="${RDEPEND}
+ doc? ( dev-lang/python )
+ test? ( dev-lang/python )"
+
+src_prepare() {
+ cp "${FILESDIR}"/${PV}/Makefile "${S}"/Makefile || die "cp failed"
+
+ if use test; then
+ epatch "${FILESDIR}"/${PV}/${P}-test.py.patch
+ fi
+}
+
+src_compile() {
+ emake ${PN} || die "emake failed"
+
+ if use doc; then
+ python scripts/gendocs.py || die "doc generation failed"
+ fi
+}
+
+src_install() {
+ dobin ${PN} || die "dobin failed"
+
+ if use doc; then
+ dohtml docs/${PN}{.html,_logo.png} || die "dohtml failed"
+ fi
+}
diff --git a/dev-util/bam/files/0.4.0/Makefile b/dev-util/bam/files/0.4.0/Makefile
new file mode 100644
index 0000000..27f35b4
--- /dev/null
+++ b/dev-util/bam/files/0.4.0/Makefile
@@ -0,0 +1,22 @@
+LIBS += -lm -lpthread -llua
+TARGETS = txt2c internal_base bam
+BAM_OBJ = $(patsubst %.c,%.o,$(wildcard src/*.c))
+TXT2C_LUA = $(wildcard src/*.lua)
+
+all: $(TARGETS)
+
+txt2c: src/tools/txt2c
+
+internal_base: src/internal_base.h
+
+src/internal_base.h:
+ src/tools/txt2c $(TXT2C_LUA) > src/internal_base.h
+
+bam: txt2c internal_base $(BAM_OBJ)
+ $(CC) $(CFLAGS) $(LDFLAGS) -o $@ $(BAM_OBJ) $(LIBS)
+
+test: $(TARGETS)
+ python scripts/test.py
+
+clean:
+ rm -f $(BAM_OBJ) $(TARGETS) src/internal_base.h src/tools/txt2c
diff --git a/dev-util/bam/files/0.4.0/bam-0.4.0-test.py.patch b/dev-util/bam/files/0.4.0/bam-0.4.0-test.py.patch
new file mode 100644
index 0000000..5ea2acd
--- /dev/null
+++ b/dev-util/bam/files/0.4.0/bam-0.4.0-test.py.patch
@@ -0,0 +1,11 @@
+--- scripts/test.py.old 2010-03-22 19:23:23.000000000 +0100
++++ scripts/test.py 2010-03-22 19:23:43.000000000 +0100
+@@ -178,6 +178,8 @@
+ print "FAILED TESTS:"
+ for t in failed_tests:
+ print "\t"+t
++ sys.exit(1)
+ else:
+ print "ALL TESTS PASSED!"
++ sys.exit(0)
+
diff --git a/dev-util/bam/metadata.xml b/dev-util/bam/metadata.xml
new file mode 100644
index 0000000..d44dc8e
--- /dev/null
+++ b/dev-util/bam/metadata.xml
@@ -0,0 +1,10 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <herd>no-herd</herd>
+ <maintainer>
+ <email>volkmar@gentoo.org</email>
+ <name>Mounir Lamouri</name>
+ </maintainer>
+</pkgmetadata>
+